-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local c_object = require 'mc.orm.object'
local log = require 'mc.logging'

local c_ncsi_chanel_mgmt = c_object('NCSIChannelMgmt')

function c_ncsi_chanel_mgmt:ctor()
end

function c_ncsi_chanel_mgmt:init()
    log:notice('PCIePresence is %s, OCP1Presence is %s, OCP2Presence is %s, NCSIChannel is %s, Id is %s',
        self.PCIePresence, self.OCP1Presence, self.OCP2Presence, self.NCSIChannel, self.Id)
    c_ncsi_chanel_mgmt.super.init(self)
end

return c_ncsi_chanel_mgmt